summaryrefslogtreecommitdiff
path: root/qa/037
diff options
context:
space:
mode:
Diffstat (limited to 'qa/037')
-rwxr-xr-xqa/03747
1 files changed, 47 insertions, 0 deletions
diff --git a/qa/037 b/qa/037
new file mode 100755
index 0000000..7a04da8
--- /dev/null
+++ b/qa/037
@@ -0,0 +1,47 @@
+#! /bin/sh
+# PCP QA Test No. 037
+# exercise meta-data services from an archive
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+# format of the line to match ...
+# refcnt 2 vol 0 offset 132 (vol 0) serial 1 origin 804982618.523843 delta 5
+#
+_filter()
+{
+ sed -e '/^refcnt/s/=/ /g' \
+ -e 's/tifd=[0-9]*/tifd=N/g' \
+ -e 's/mdfd=[0-9]*/mdfd=N/g' \
+ -e 's/mfd=[0-9]*/mfd=N/g' \
+ | $PCP_AWK_PROG '
+$1 == "refcnt" && $11 == "origin" { if (t == 0) {
+ t = $12
+ $12 = "TIME"
+ }
+ else {
+ if (t == $12)
+ $12 = "SAME TIME"
+ else
+ $12 = "botch! " t "!=" $12
+ }
+ }
+ { print }'
+}
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+# real QA test starts here
+for arch in src/foo src/bar src/mv-foo src/mv-bar src/noti-foo src/noti-bar
+do
+ echo
+ echo "Archive $arch"
+ src/xlog -v -a $arch | _filter | src/hex2nbo
+done